Rated 5 out of 5 stars

great extension. seems to work fine in ff 3.5b4. just had to change the MaxVersion in the install.rdf file. no probs with firefox or any of my other extensions so far.

This review is for a previous version of the add-on (1.4.10).